#
# Conditional build:
%bcond_without	apidocs		# do not build and package API docs
#
Summary:	GLib library for talking to WWAN modems and devices using MBIM protocol
Name:		libmbim
Version:	1.4.0
Release:	1
License:	LGPL v2
Group:		Libraries
Source0:	http://www.freedesktop.org/software/libmbim/%{name}-%{version}.tar.xz
# Source0-md5:	b22fa35ce90a43330a8b4ec7cfb4dc6a
URL:		http://www.freedesktop.org/wiki/Software/libmbim
BuildRequires:	autoconf >= 2.68
BuildRequires:	automake >= 1:1.11
BuildRequires:	glib2-devel >= 1:2.32.0
BuildRequires:	gtk-doc
BuildRequires:	libtool >= 2:2.2
BuildRequires:	pkgconfig
BuildRequires:	udev-glib-devel >= 147
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libmbim is a GLib library for talking to WWAN modems and devices which
speak the Mobile Interface Broadband Model (MBIM) protocol.

%package devel
Summary:	Header files for libmbim library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libmbim
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.32.0

%description devel
Header files for libmbim library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libmbim.

%package static
Summary:	Static libmbim library
Summary(pl.UTF-8):	Statyczna biblioteka libmbim
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libmbim library.

%description static -l pl.UTF-8
Statyczna biblioteka libmbim.

%package apidocs
Summary:	libmbim API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki libmbim
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
API documentation for libmbim library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki libmbim.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{__enable_disable apidocs gtk-doc} \
	--with-html-dir=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README
%attr(755,root,root) %{_bindir}/mbim-network
%attr(755,root,root) %{_bindir}/mbimcli
%attr(755,root,root) %{_libdir}/libmbim-glib.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmbim-glib.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libmbim-glib.so
%{_includedir}/libmbim-glib
%{_pkgconfigdir}/mbim-glib.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libmbim-glib.a

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/libmbim-glib
%endif
%changelog
* Thu Jul 25 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libmbim.git;a=log;h=master

* Wed Jul 24 2013 Marcin Banasiak <marcin.banasiak@gmail.com> 23428dd
- New

